#pragma once

#include "core/point.h"
#include "core/color.h"

namespace kku
{

/// Line
///
/// Graphical 2D line
class Line
{
public:
    virtual ~Line() = default;
    virtual void setPosition(const kku::Point& p1, const kku::Point& p2) = 0;
    virtual void setColor(const kku::Color& c1, const kku::Color& c2) = 0;
    virtual void display() = 0;
};

}
